<?php
/*
Template Name: Blog
 */
get_header();
?>

<div class="expertise-content">
    <div class="container">
        <div class="expertise-parent">
            <div class="expertise-inner">
                <h1 style="font-size: 90px;"><?php the_title();?></h1>
            </div>
            <div class="expertise-img">
                <img src="<?php echo get_the_post_thumbnail_url(); ?>">
            </div>
        </div>
    </div>
</div>
</div>

<section class="blog-parent">
    <div class="container">
        <div class="blog-content-inner">

            <?php
$per_page = -1;

$paged = get_query_var('paged') ?: 1;

$offset = (1 === $paged) ? 0 : (($paged - 1) * $per_page) + (($paged - 1) * 2);

// the query
$wpb_all_query = new WP_Query(array(

    'order' => 'DESC',
    'paged' => $paged,
    'offset' => $offset,
    'post_type' => 'post',
    'post_status' => 'publish',
    'posts_per_page' => $per_page,

));?>

            <?php if ($wpb_all_query->have_posts()): ?>

            <?php while ($wpb_all_query->have_posts()): $wpb_all_query->the_post();?>

            <div class="blog-item">
                <img src="<?php echo get_the_post_thumbnail_url(); ?>">
                <div class="blog-content">
                    <h3><?php echo the_title(); ?></h3>
                    <?php echo the_content(); ?>
                    <a href="https://www.linkedin.com/company/starfyn-recruitment/?originalSubdomain=uk"
                        class="article-btn">View Article</a>
                    <!-- <a href="<?php //echo the_permalink(); ?>" class="article-btn">View Article</a> -->
                </div>
            </div>

            <?php endwhile;?>
            <?php wp_reset_postdata();?>
            <?php else: ?>
            <p><?php _e('Sorry, no more blog posts');?></p>
            <?php endif;?>


        </div>
    </div>
</section>

<?php

get_template_part('template-parts/candidates', 'section');

get_footer();?>