<?php
/*
Template Name: Expertise
 */
get_header();
?>

<div class="expertise-content">
    <div class="container">
        <div class="expertise-parent">
            <div class="expertise-inner">
                <span>Starfyn Recruitment</span>
                <h1>Looking for a new job <br> in the office and sales sector?</h1>
            </div>
            <div class="expertise-img">
                <img src="<?php echo get_the_post_thumbnail_url(); ?>">
            </div>
        </div>
    </div>
</div>
</div>



<div class="expertise-tabs">
    <div class="container">
        <ul class="nav nav-tabs" id="myTab" role="tablist">

            <?php
$categories = get_terms(array(
    'taxonomy' => 'job-category',
    'orderby' => 'name',
    'order' => 'DESC',
));

$counter = 0;

foreach ($categories as $category) {
    $cat_slug = $category->slug;
    $cat_name = $category->name;
    ?>
            <li class="nav-item" role="presentation">

                <button class="nav-link <?php if ($counter < 1) {echo 'active';}?>" id="<?php echo $cat_slug; ?>-tab"
                    data-bs-toggle="tab" data-bs-target="#<?php echo $cat_slug; ?>" type="button" role="tab"
                    aria-controls="<?php echo $cat_slug; ?>" aria-selected="true"
                    data-header="<?php echo $cat_name; ?>">
                    <?php echo $cat_name; ?>
                </button>
            </li>
            <?php $counter++;
}?>
        </ul>
    </div>

    <div class="tab-content" id="myTabContent">
        <?php
// Get all the categories in the job-category taxonomy
$categories = get_terms(array(
    'taxonomy' => 'job-category',
    'orderby' => 'name',
    'order' => 'DESC',
));

// Set up the counter variable
$counter = 0;

// Loop through the categories
foreach ($categories as $category) {
    $cat_slug = $category->slug;
    $cat_name = $category->name;
    ?>
        <div class="tab-pane fade <?php if ($counter < 1) {echo 'show active';}?>" id="<?php echo $cat_slug; ?>"
            role="tabpanel" aria-labelledby="<?php echo $cat_slug; ?>-tab">
            <div class="container">
                <div class="popularjobs-inner tabspopupar-jobs">
                    <h2 class="blue_heading text-center">
                        <?php echo $cat_name; ?>
                    </h2>
                    <p class="p_style">Starfyn Recruitment Job Search</p>
                    <div class="jobs-items-parent">
                        <?php
// Set up the arguments for the query
    $args = array(
        'post_type' => 'jobs',
        'post_status' => 'publish',
        'posts_per_page' => 6,
        'tax_query' => array(
            array(
                'taxonomy' => 'job-category',
                'field' => 'slug',
                'terms' => $cat_slug,
            ),
        ),
    );
    // Create a new instance of WP_Query
    $cat_query = new WP_Query($args);
    // Check if the query has results
    if ($cat_query->have_posts()) {
        // Loop through the results
        while ($cat_query->have_posts()) {
            $cat_query->the_post();
            ?>
                        <div class="jobs-item">
                            <h3><?php the_title();?></h3>
                            <div class="borderline"></div>
                            <div class="location">London</div>
                            <div class="salaryrange">£90 - £110 per day</div>
                            <div class="applybtn">
                                <a href="<?php echo the_permalink(); ?>">Apply</a>
                            </div>
                        </div>
                        <?php
}
        // Reset the post data
        wp_reset_postdata();
    }
    ?>
                    </div>
                    <div class="viewall-btn">
                        <a href="#">View All</a>
                    </div>
                </div>
            </div>
        </div>
        <?php $counter++;}?>

    </div>

</div>

<?php
get_template_part('template-parts/candidates', 'section');
get_template_part('template-parts/contact', 'section');
?>

<script>
// Get all the tabs
var tabs = document.querySelectorAll('.nav-link');
// Loop through the tabs
tabs.forEach(function(tab) {
    // Add a click event listener to each tab
    tab.addEventListener('click', function() {
        // Get the h1 element
        var h1 = document.querySelector('h1');
        // Get the value of the data-header attribute of the clicked tab
        var header = this.getAttribute('data-header');
        // Update the text of the h1 element
        if (header === 'Education Jobs') {
            h1.innerHTML = 'Looking for a new job <br> in the education sector?';
        } else {
            h1.innerHTML = 'Looking for a new job <br> in the office and sales sector?';
        }
    });
});
</script>

<?php get_footer();?>