"use strict";
(function () {
	// Global variables
	var
		userAgent = navigator.userAgent.toLowerCase(),
		initialDate = new Date(),

		$document = jQuery(document),
		$window = jQuery(window),
		$html = jQuery("html"),
		$body = jQuery("body"),

		isDesktop = $html.hasClass("desktop"),
		isIE = userAgent.indexOf("msie") !== -1 ? parseInt(userAgent.split("msie")[1], 10) : userAgent.indexOf("trident") !== -1 ? 11 : userAgent.indexOf("edge") !== -1 ? 12 : false,
		isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent),
		windowReady = false,
		isNoviBuilder = false,
		livedemo = false,

		plugins = {
			bootstrapModal: jQuery('.modal '),
			captcha: jQuery('.recaptcha '),
			campaignMonitor: jQuery('.campaign-mailform '),
			copyrightYear: jQuery('.copyright-year '),
			materialParallax: jQuery('.parallax-container '),
			mailchimp: jQuery('.mailchimp-mailform '),
			owl: jQuery('.owl-carousel '),
			preloader: jQuery('.preloader '),
			rdNavbar: jQuery('.rd-navbar '),
			rdMailForm: jQuery('.rd-mailform '),
			rdInputLabel: jQuery('.form-label '),
			regula: jQuery('[data-constraints] '),
			search: jQuery('.rd-search '),
			wow: jQuery('.wow '),
			parallaxJs: jQuery('.parallax-scene'),
			swiper: document.querySelectorAll('.swiper-container '),
			counter: document.querySelectorAll('.counter '),
			multiToggles: document.querySelectorAll('[data-multitoggle] '),
			vide: jQuery('.vide '),
			buttonNuka: jQuery('.button-nuka ')
		};



	// Initialize scripts that require a finished document
	jQuery(function () {
		isNoviBuilder = window.xMode;

		/**
		 * @desc Sets the actual previous index based on the position of the slide in the markup. Should be the most recent action.
		 * @param {object} swiper - swiper instance
		 */
		function setRealPrevious(swiper) {
			var element = swiper.$wrapperEl[0].children[swiper.activeIndex];
			swiper.realPrevious = Array.prototype.indexOf.call(element.parentNode.children, element);
		}

		/**
		 * @desc Sets slides background images from attribute 'data-slide-bg'
		 * @param {object} swiper - swiper instance
		 */
		function setBackgrounds(swiper) {
			let swiperSlides = swiper.el.querySelectorAll('[data-slide-bg]');
			for (let i = 0; i < swiperSlides.length; i++) {
				let swiperSlide = swiperSlides[i];
				swiperSlide.style.backgroundImage = 'url(' + swiperSlide.getAttribute('data-slide-bg') + ')';
			}
		}
		/**
		 * @desc Animate captions on active slides
		 * @param {object} swiper - swiper instance
		 */
		function initCaptionAnimate(swiper) {
			var
				animate = function (caption) {
					return function () {
						var duration;
						if (duration = caption.getAttribute('data-caption-duration')) caption.style.animationDuration = duration + 'ms';
						caption.classList.remove('not-animated');
						caption.classList.add(caption.getAttribute('data-caption-animate'));
						caption.classList.add('animated');
					};
				},
				initializeAnimation = function (captions) {
					for (var i = 0; i < captions.length; i++) {
						var caption = captions[i];
						caption.classList.remove('animated');
						caption.classList.remove(caption.getAttribute('data-caption-animate'));
						caption.classList.add('not-animated');
					}
				},
				finalizeAnimation = function (captions) {
					for (var i = 0; i < captions.length; i++) {
						var caption = captions[i];
						if (caption.getAttribute('data-caption-delay')) {
							setTimeout(animate(caption), Number(caption.getAttribute('data-caption-delay')));
						} else {
							animate(caption)();
						}
					}
				};

			// Caption parameters
			swiper.params.caption = {
				animationEvent: 'slideChangeTransitionEnd'
			};

			initializeAnimation(swiper.$wrapperEl[0].querySelectorAll('[data-caption-animate]'));
			finalizeAnimation(swiper.$wrapperEl[0].children[swiper.activeIndex].querySelectorAll('[data-caption-animate]'));

			if (swiper.params.caption.animationEvent === 'slideChangeTransitionEnd') {
				swiper.on(swiper.params.caption.animationEvent, function () {
					initializeAnimation(swiper.$wrapperEl[0].children[swiper.previousIndex].querySelectorAll('[data-caption-animate]'));
					finalizeAnimation(swiper.$wrapperEl[0].children[swiper.activeIndex].querySelectorAll('[data-caption-animate]'));
				});
			} else {
				swiper.on('slideChangeTransitionEnd', function () {
					initializeAnimation(swiper.$wrapperEl[0].children[swiper.previousIndex].querySelectorAll('[data-caption-animate]'));
				});

				swiper.on(swiper.params.caption.animationEvent, function () {
					finalizeAnimation(swiper.$wrapperEl[0].children[swiper.activeIndex].querySelectorAll('[data-caption-animate]'));
				});
			}
		}

		// UI To Top
		if (isDesktop && !isNoviBuilder) {
			$().UItoTop({
				easingType: 'easeOutQuad',
				containerClass: 'ui-to-top fa fa-angle-up'
			});
		}

		// Swiper
		if (plugins.swiper.length) {
			for (var i = 0; i < plugins.swiper.length; i++) {
				var
					sliderMarkup = plugins.swiper[i],
					swiper,
					options = {
						loop: sliderMarkup.getAttribute('data-loop') === 'true' || false,
						effect: isIE ? 'slide' : sliderMarkup.getAttribute('data-effect') || 'slide',
						direction: sliderMarkup.getAttribute('data-direction') || 'horizontal',
						speed: sliderMarkup.getAttribute('data-speed') ? Number(sliderMarkup.getAttribute('data-speed')) : 1000,
						allowTouchMove: false,
						preventIntercationOnTransition: true,
						runCallbacksOnInit: false,
						separateCaptions: sliderMarkup.getAttribute('data-separate-captions') === 'true' || false,
						centeredSlides: sliderMarkup.getAttribute('data-centered-slides') === 'true' || false,
						slidesPerView: sliderMarkup.getAttribute('data-slides-per-view') || 1,
						initialSlide: sliderMarkup.getAttribute('data-initial-slide') || 0,
						coverflowEffect: {
							rotate: 0,
							stretch: 280,
							depth: 160,
							slideShadows: false
						}
					};

				if (sliderMarkup.getAttribute('data-autoplay')) {
					options.autoplay = {
						delay: Number(sliderMarkup.getAttribute('data-autoplay')) || 3000,
						stopOnLastSlide: false,
						disableOnInteraction: true,
						reverseDirection: false,
					};
				}

				if (sliderMarkup.getAttribute('data-keyboard') === 'true') {
					options.keyboard = {
						enabled: sliderMarkup.getAttribute('data-keyboard') === 'true',
						onlyInViewport: true
					};
				}

				if (sliderMarkup.getAttribute('data-mousewheel') === 'true') {
					options.mousewheel = {
						releaseOnEdges: true,
						sensitivity: .1
					};
				}

				if (sliderMarkup.querySelector('.swiper-button-next, .swiper-button-prev')) {
					options.navigation = {
						nextEl: '.swiper-button-next',
						prevEl: '.swiper-button-prev'
					};
				}

				if (sliderMarkup.querySelector('.swiper-pagination')) {
					options.pagination = {
						el: '.swiper-pagination',
						type: 'bullets',
						clickable: true
					};
				}

				if (sliderMarkup.querySelector('.swiper-scrollbar')) {
					options.scrollbar = {
						el: '.swiper-scrollbar',
						hide: true,
						draggable: true
					};
				}

				options.on = {
					init: function () {
						setBackgrounds(this);
						setRealPrevious(this);
						initCaptionAnimate(this);

						// Real Previous Index must be set recent
						this.on('slideChangeTransitionEnd', function () {
							setRealPrevious(this);
						});
					}
				};

				swiper = new Swiper(plugins.swiper[i], options);
			}
		}

	});
}());
