<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package starfyn
 */

?>
<!doctype html>
<html <?php language_attributes();?>>

<head>
    <meta charset="<?php bloginfo('charset');?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <!-- Fontawesome Kit -->
    <script src="https://kit.fontawesome.com/f4aeb3a8da.js" crossorigin="anonymous"></script>

    <link rel="profile" href="https://gmpg.org/xfn/11">

    <?php wp_head();?>
</head>

<body <?php body_class();?>>
    <?php wp_body_open();?>

    <div class="topbg-section">
        <div class="topheader">

            <div class="topheader-parent">
                <div class="topheader-left">
                    <?php the_custom_logo();?>
                </div>
                <div class="topheader-right">
                    <div class="phone">
                        <img src="<?php echo get_template_directory_uri(); ?>/assets/img/phone.png">
                        <span><?php echo get_field('header_phone_number', 'options'); ?></span>
                    </div>
                    <div class="contact-btn">
                        <!-- <a href="<?php //echo get_field('header_button_link', 'options'); ?>"> -->
                        <a href="#">
                            <?php echo get_field('header_button', 'options'); ?>
                        </a>
                    </div>


                    <div class="button_container" id="toggle">
                        <span class="top"></span>
                        <span class="middle"></span>
                        <span class="bottom"></span>
                    </div>

                </div>
            </div>

        </div>


        <div class="overlay" id="overlay">

            <div class="menu-parent-class">
                <div class="menuparent-left">
                    <?php

wp_nav_menu(
    array(
        'theme_location' => 'menu-1',
        'items_wrap' => '<ul class="menu-items">%3$s</ul>',
        'depth' => 0,
        'container' => false,
    )
);

?>
                </div>

                <div class="menuparent-right">
                    <div class="menuparent-right-inner">

                        <?php
$toggle_navigation_items = get_field('toggle_navigation_items', 'options');

if ($toggle_navigation_items) {
    foreach ($toggle_navigation_items as $toggle_navigation_item) {
        ?>
                        <div class="menuparent-right-item">
                            <h3><?php echo $toggle_navigation_item['item_heading']; ?></h3>
                            <p><?php echo $toggle_navigation_item['item_description']; ?></p>

                            <div class="menuright-down-item">
                                <div class="leftarrowitem">
                                    <?php
$image = $toggle_navigation_item['left_item'];
        if (!empty($image)): ?>
                                    <img src="<?php echo $image['url']; ?>"
                                        alt="<?php echo esc_attr($image['alt']); ?>" />
                                    <?php endif;?>
                                </div>

                                <div class="rightimgitem">
                                    <?php
$right_image_item = $toggle_navigation_item['right_image_item'];
        if (!empty($right_image_item)): ?>
                                    <img src="<?php echo $right_image_item['url']; ?>"
                                        alt="<?php echo esc_attr($right_image_item['alt']); ?>" />
                                    <?php endif;?>
                                </div>

                            </div>
                        </div>
                        <?php
}
}?>

                    </div>
                </div>

            </div>


        </div>